### Constructor

# Gsk CompositeNode new

since: 4.22

#### Declaration [src]

    GskRenderNode*
    gsk_composite_node_new (
      GskRenderNode* child,
      GskRenderNode* mask,
      GskPorterDuff op
    )

#### Description [src]

Creates a `GskRenderNode` that will composite the child onto the background with the given operator wherever the mask is set.

Note that various operations can modify the background outside of the child’s bounds, so the mask may cause visual changes outside of the child.

Available since: 4.22

#### Parameters

`child`

  Type: `GskRenderNode`

  The child to composite.

  The data is owned by the caller of the function.

`mask`

  Type: `GskRenderNode`

  The mask where the compositing will apply.

  The data is owned by the caller of the function.

`op`

  Type: `GskPorterDuff`

  The compositing operator.

#### Return value

Type: `GskCompositeNode`

A new `GskRenderNode`.

The caller of the function takes ownership of the data, and is responsible for freeing it.